{ ... }:

{
  programs.dconf.profiles = {
    user.databases = [
      {
        settings = {
          "org/gnome/desktop/peripherals/touchpad" = {
            disable-while-typing = false;
            edge-scrolling-enabled = false;
            natural-scroll = true;
            tap-to-click = true;
            two-finger-scrolling-enabled = true;
          };
          "org/gnome/settings-daemon/plugins/media-keys" = {
            custom-keybindings = [
              "/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/terminal/"
            ];
            mic-mute = [ "<Control>Print" ];
          };
          "org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/terminal" = {
            name = "Terminal";
            binding = "<Primary><Alt>t";
            command = "gnome-terminal";
          };
        };
      }
    ];
    gdm.databases = [
      {
        settings = {
          "org/gnome/desktop/peripherals/touchpad" = {
            disable-while-typing = false;
            edge-scrolling-enabled = false;
            natural-scroll = true;
            tap-to-click = true;
            two-finger-scrolling-enabled = true;
          };
        };
      }
    ];
  };
}
